#:kivy 1.0.9

<AppScreenManager>:
    current: 'menu'
    Menu:
    ListaTarefas:

<Botao@ButtonBehavior+Label>:
    canvas.before:
        Color:
            rgba: 0.5, 0.0, 0.0, 1
        Ellipse:
            pos: self.pos
            size: self.height, self.height
        Rectangle:
            pos: self.x + self.height/2, self.y
            size: self.width - self.height, self.height
        Ellipse:
            pos: self.x + self.width - self.height, self.y
            size: self.height, self.height

<Tarefa>:
    height: 100
    size_hint_y: None
    Label:
        id: desc_tarefa
        font_size: 25
    Button:
        id: remove_button
        text: 'X'
        size_hint_x: None
        width: 50
        font_size: 25
        on_release: app.root.get_screen('tarefas').remove_tarefa(self.parent, desc_tarefa.text)

<Menu>:
    name: 'menu'
    BoxLayout:
        padding: 200
        spacing: 50
        orientation: 'vertical'
        Botao:
            text: 'Tarefas'
            on_release: app.root.current = 'tarefas'
        Botao:
            text: 'Sair'
            on_release: app.stop()


<ListaTarefas>:
    name: 'tarefas'
    id: 'lista_tarefa'
    tarefas_panel: main_layout
    input_descricao_tarefa: input_descricao

    BoxLayout:
        orientation: 'vertical'
        ActionBar:
            ActionView:
                ActionPrevious:
                    title: 'Tarefas'
                    on_release: app.root.current = 'menu'
                ActionButton:
                    text: 'Sair'
                    on_release: app.stop()
        ScrollView:
            BoxLayout:
                id: main_layout
                orientation: 'vertical'
                size_hint_y: None
                height: self.minimum_height
        BoxLayout:
            height: 50
            size_hint_y: None
            TextInput:
                id: input_descricao
                font_size: 20
            Button:
                id: add_button
                text: '+'
                size_hint_x: None
                width: 50
                on_release: root.add_tarefa()